summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD30
2 files changed, 29 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e70f55a82c4..5d7abd15c9e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = v2raya-git
pkgdesc = v2rayA nightly version
- pkgver = 20211002.r1020.a526160
+ pkgver = 20230204.r1293.d626ba1
pkgrel = 1
url = https://github.com/v2rayA/v2rayA
install = .INSTALL
@@ -11,16 +11,16 @@ pkgbase = v2raya-git
arch = aarch64
license = GPL3
makedepends = git
- makedepends = go>=2:1.16.0-1
- makedepends = nodejs>=14
+ makedepends = go>=2:1.17.0-1
+ makedepends = nodejs>=17
makedepends = yarn
- makedepends = python2
depends = glibc
- optdepends = v2ray>=4.37.0-1
- optdepends = xray>=1.4.2-1
provides = v2raya
conflicts = v2raya
- source = v2raya-git::git+https://github.com/v2rayA/v2rayA
+ backup = etc/default/v2raya
+ source = v2raya-git::git+https://github.com/v2rayA/v2rayA#branch=feat_v5
sha512sums = SKIP
pkgname = v2raya-git
+ depends = glibc
+ depends = v2ray>=5.0.0
diff --git a/PKGBUILD b/PKGBUILD
index 486f97c6695..ae5e1be73ba 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: mzz2017 <mzz@tuta.io>
pkgname=v2raya-git
-pkgver=20211002.r1020.a526160
+pkgver=20230204.r1293.d626ba1
pkgrel=1
install=.INSTALL
pkgdesc="v2rayA nightly version"
@@ -9,13 +9,14 @@ arch=('i686' 'x86_64' 'armv7h' 'armv6h' 'aarch64')
url="https://github.com/v2rayA/v2rayA"
license=('GPL3')
depends=('glibc')
-optdepends=('v2ray>=4.37.0-1' 'xray>=1.4.2-1')
-makedepends=('git' 'go>=2:1.16.0-1' 'nodejs>=14' 'yarn' 'python2')
+makedepends=('git' 'go>=2:1.17.0-1' 'nodejs>=17' 'yarn')
provides=('v2raya')
conflicts=('v2raya')
-source=("$pkgname::git+$url")
+backup=("etc/default/v2raya")
+source=("$pkgname::git+$url#branch=feat_v5")
sha512sums=('SKIP')
+
pkgver() {
cd "$srcdir"/"$pkgname"
local date=$(git log -1 --format="%cd" --date=short | sed s/-//g)
@@ -26,24 +27,37 @@ pkgver() {
build() {
cd "$srcdir/$pkgname/gui"
- yarn config set registry https://registry.npm.taobao.org
- yarn config set sass_binary_site https://cdn.npm.taobao.org/dist/node-sass -g
+ # https://github.com/webpack/webpack/issues/14532#issuecomment-947012063
+ export NODE_OPTIONS=--openssl-legacy-provider
yarn --check-files
export OUTPUT_DIR="$srcdir/$pkgname/service/server/router/web"
yarn build
cd "$srcdir/$pkgname/service"
export GO111MODULE=on
- export GOPROXY=https://mirrors.aliyun.com/goproxy/,direct
+ export GOPROXY=https://goproxy.cn,direct
go build -ldflags '-X github.com/v2rayA/v2rayA/conf.Version=unstable-'"$(pkgver)"' -s -w' -o v2raya
+
+ # generate default config
+ cat > "$srcdir/v2raya.conf" << EOF
+# v2raya config example
+# Everything has defaults so you only need to uncomment things you want to
+# change
+EOF
+ set -o pipefail
+ chmod +x ./v2raya
+ ./v2raya --report config | sed '1,6d' | fold -s -w 78 | sed -E 's/^([^#].+)/# \1/' >> "$srcdir/v2raya.conf"
}
package() {
+ depends+=('v2ray>=5.0.0')
+
cd "${srcdir}"/"${pkgname}"/
install -Dm 755 service/v2raya -t "${pkgdir}"/usr/bin/
install -dm 750 "${pkgdir}"/etc/v2raya/
install -Dm 644 install/universal/v2raya.desktop -t "${pkgdir}"/usr/share/applications/
install -Dm 644 install/universal/v2raya.service -t "${pkgdir}"/usr/lib/systemd/system/
- install -Dm 644 install/universal/v2raya@.service -t "${pkgdir}"/usr/lib/systemd/system/
+ install -Dm 644 install/universal/v2raya-lite.service -t "${pkgdir}"/usr/lib/systemd/user/
install -Dm 644 gui/public/img/icons/android-chrome-512x512.png "${pkgdir}"/usr/share/icons/hicolor/512x512/apps/v2raya.png
+ install -Dm 644 "${srcdir}"/v2raya.conf "${pkgdir}"/etc/default/v2raya
}